<!--
  -  Copyright 2020 Huawei Technologies Co., Ltd.
  -
  -  Licensed under the Apache License, Version 2.0 (the "License");
  -  you may not use this file except in compliance with the License.
  -  You may obtain a copy of the License at
  -
  -      http://www.apache.org/licenses/LICENSE-2.0
  -
  -  Unless required by applicable law or agreed to in writing, software
  -  distributed under the License is distributed on an "AS IS" BASIS,
  -  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -  See the License for the specific language governing permissions and
  -  limitations under the License.
  -->
<template>
  <div class="homeback">
    <div class="box2">
      <p class="headStyle">
        {{ $t('common.labDistribution') }}
        <span style="float:right">
          {{ $t('env.totalEnvironments') }} {{ environments.envCount }}
        </span>
      </p>
      <!--<img
        class="img"
        src="../../assets/images/distribute.png"
      >-->
      <Graph
        class="img"
        @getLabInfo="getCurrentLabPageData"
      />
    </div>
    <div class="box3">
      <p class="headStyle">
        {{ $t('common.monitorLab') }}
      </p>
      <div class="tableDiv">
        <el-row>
          <el-col
            :span="24"
            class="table"
          >
            <el-table
              :data="currPageLabTableData"
              border
            >
              <el-table-column
                prop="labName"
                :label="$t('env.name')"
              />
              <el-table-column
                prop="owner"
                :label="$t('env.owner')"
              />
              <el-table-column
                prop="contact"
                label="Contact"
              />
              <el-table-column
                prop="description"
                label="Description"
              />
              <el-table-column
                :label="$t('common.operation')"
                width="100"
              >
                <template slot-scope="scope">
                  <el-button
                    id="applyBtn"
                    @click="applyVpn(scope.row)"
                    type="text"
                    size="small"
                  >
                    {{ $t('env.apply') }}
                  </el-button>
                </template>
              </el-table-column>
            </el-table>
          </el-col>
        </el-row>
      </div>
      <div style="padding:5px 0px;width:100%">
        <img
          class="imgCard"
          :src="ImgName"
        >
      </div>
    </div>
    <div class="box4">
      <img
        class="imgIconApp"
        @click="jumpTo('/app/myrequest')"
        src="../../assets/images/myapplications.png"
      >
      <img
        class="imgIconApp"
        @click="jumpTo('/app/myenvironment')"
        src="../../assets/images/myenvironments.png"
      >
    </div>
  </div>
</template>
<script>
import axios from 'axios'
import { BASE_URL } from '../../tools/constant.js'
import Graph from '../../administrator/Graph.vue'
export default {
  name: 'AdministratorHome',
  components: {
    Graph
  },
  data () {
    return {
      environments: 0,
      currPageLabTableData: [],
      ImgName: ''
    }
  },
  beforeMount () {
    this.getData()
  },
  methods: {
    applyVpn (row) {
      console.log(JSON.stringify(row))
    },
    getCurrentLabPageData (data) {
      this.currPageLabTableData = []
      this.ImgName = 'data:image/png;base64,' + data.image
      this.currPageLabTableData.push(data)
    },
    jumpTo (path) {
      if (this.$route.path !== path) {
        this.$router.push(path)
      }
    },
    async getData () {
      let url = BASE_URL + '/getCount?userId=' + sessionStorage.getItem('userId')
      axios({
        method: 'GET',
        url: url,
        headers: {
          'Content-Type': 'application/json'
        }
      }).then(res => {
        this.environments = res.data
      }, error => {
        if (error) {
          this.$parent.errorMessage(this.$t(error.response.data))
        }
      })
    }
  }
}
</script>
<style>
    .homeback {
        background-image: url("../../assets/images/home.png");
        width: 100vw;
        height: 100vh;
        background-size: 100% 100%;
        background-repeat: no-repeat;
        position: relative;
    }
    .box1 {
        height: 66px;
        padding:15px;
        width: 98%;
        margin-top: 76px;
        position: absolute;
        background: #2e6cd0;
        box-shadow: 0 2px 4px 0 rgba(0,0,0,0.16),0 2px 10px 0 rgba(0,0,0,0.12)!important;
    }
    .box2 {
        height: 20px;
        padding: 15px;
        width: 48%;
        margin-top: 65px;
        position: absolute;
        background: #2e6cd0;
        box-shadow: 0 2px 4px 0 rgba(0,0,0,0.16),0 2px 10px 0 rgba(0,0,0,0.12)!important;
    }
    .box3 {
        height: 20px;
        padding: 15px 0px 15px 0px;
        width: 49%;
        margin-left: 50%;
        margin-top: 65px;
        position: absolute;
        background: #2e6cd0;
        box-shadow: 0 2px 4px 0 rgba(0,0,0,0.16),0 2px 10px 0 rgba(0,0,0,0.12)!important;
    }
    .box4 {
        height: 66px;
        padding:15px;
        width: 98%;
        margin-top: 700px;
        position: absolute;
    }
    .headStyle {
        font-size:20px;
        margin-left: 15px;
        color: white
    }
    .img {
        height: 560px;
        width:916px;
        margin-top: 13px;
        margin-left: -15px;
    }
    .imgIconApp {
        height: 200px;
        width: 400px;
        margin-left: 300px;
        margin-top: 20px;
        cursor: pointer;
    }
    .imgIconApp:hover {
      -webkit-box-shadow: 9px 11px 24px 2px rgba(0,0,0,0.75);
      -moz-box-shadow: 9px 11px 24px 2px rgba(0,0,0,0.75);
      box-shadow: 9px 11px 24px 2px rgba(0,0,0,0.75);
    }
    .tableDiv {
      width:100%;
      margin-top: 13px;
    }
    .imgCard {
      height: 450px;
      width: 100%;
      margin-right: 10px;
    }
</style>
